// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
var app = angular.module('LMPApp', ['ionic','ngSanitize', 'ngCordova','ngIOS9UIWebViewPatch']);
// not necessary for a web based app // needed for cordova/ phonegap application
app.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if(window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if(window.StatusBar) {
      // Set the statusbar to use the default style, tweak this to
      // remove the status bar on iOS or change it to use white instead of dark colors.
      StatusBar.styleDefault();
    }
  });
})
//app run getting device id
app.run(function ($rootScope) {
	// app device ready
	document.addEventListener("deviceready", function(){
        if(PushbotsPlugin.isiOS()){
            PushbotsPlugin.initializeiOS("561e4a55177959ae188b4567");
            PushbotsPlugin.resetBadge();
        }
        if(PushbotsPlugin.isAndroid()){
            PushbotsPlugin.initializeAndroid("561e4a55177959ae188b4567", "320698801075");
            //PushbotsPlugin.onNotificationClick(myMsgClickHandler);
        }
	});
   $rootScope.get_device_token = function () {
      if(localStorage.device_token_syt) {
         return localStorage.device_token_syt;
      } else {
         return '-1';
      }
   }
   $rootScope.set_device_token = function (token) {
      localStorage.device_token_syt = token;
      return localStorage.device_token_syt;
   }
  
   //cargo las noticias
   $rootScope.requestNewsData = true;
   $rootScope.newsData = {};
   //cargo el standing
   $rootScope.requestStandingData = true;
   $rootScope.standingData = {};
   //cargo los playoffs
   $rootScope.requestPlayoffsData = true;
   $rootScope.playoffsData = {};
   //cargamos las noticias de los equipos
   $rootScope.requestTeamNewsData = true;
   $rootScope.teamNewsData = {};
   //cargo los ultimos highlights
   //cargo las estadísticas de bateo
   $rootScope.BattingAVG = [];
   $rootScope.BattingR = [];
   $rootScope.BattingHR = [];
   $rootScope.BattingRBI = [];
   $rootScope.BattingSB = [];
   //cargo las estadísticas de pitcheo
   $rootScope.PitchingW = [];
   $rootScope.PitchingERA = [];
   $rootScope.PitchingSO = [];
   $rootScope.PitchingSV = [];
   $rootScope.PitchingWHIP = [];
   //cargo el rosters
   //cargo el calendario
   //cargo los movimientos
   $rootScope.requestTransactionsData = true;
   $rootScope.transactionsCurrent = 0;
   $rootScope.transactionsData = {};

   $rootScope.showInterstitial = function(){
   		if(AdMob) AdMob.showInterstitial();
   }

	document.addEventListener("deviceready", function(){
	   if(AdMob) {
	      // show admob banner
	      if(ConfigAdmob.banner) {
	         AdMob.createBanner( {
	            adId: ConfigAdmob.banner, 
	            position: AdMob.AD_POSITION.BOTTOM_CENTER,
	            autoShow: true 
	         } );
	      }
	      // preparing admob interstitial ad
	      if(ConfigAdmob.interstitial) {
	         AdMob.prepareInterstitial( {
	            adId:ConfigAdmob.interstitial,
	            autoShow:false
	         } );
	      }
	   }
	   if(ConfigAdmob.interstitial) {
	      $scope.showInterstitial();
	   }
	});
})

app.controller('SeriedelcaribeCtrl',['$rootScope','$scope','$http','SerieDelCaribeData','$ionicLoading', function($rootScope,$scope,$http,SerieDelCaribeData,$ionicLoading) {
	$scope.seriedelcaribe = [];
 $scope.show = function() {
    $ionicLoading.show({
      template: 'Cargando...',
      duration:1500
    })
  };
  $scope.hide = function(){
    $ionicLoading.hide();
    console.log("entro")
  };
	$scope.getSerie=function(){
		$scope.show();
		SerieDelCaribeData.getSerieDelCaribeData()
		.success(function (seriedelcaribe){
			$rootScope.serieData=seriedelcaribe;
		});
	};
	$scope.getSerie();

	$scope.doRefresh = function(){
		$scope.playoffs = [];
		$scope.getSerie();
		$scope.$broadcast('scroll.refreshComplete');
	}
}])

// config to disable default ionic navbar back button text and setting a new icon
// logo in back button can be replaced from /templates/sidebar-menu.html file
app.config(function($ionicConfigProvider) {
    $ionicConfigProvider.backButton.text('').icon('ion-ios-arrow-back').previousTitleText(false);
})
// intro controller // 
app.controller('IntroCtrl', ['$scope', '$state', '$ionicSlideBoxDelegate', function($scope, $state, $ionicSlideBoxDelegate) {
  // Called to navigate to the main app
  $scope.next = function() {
    $ionicSlideBoxDelegate.next();
  };
  $scope.previous = function() {
    $ionicSlideBoxDelegate.previous();
  };

  // Called each time the slide changes
  $scope.slideChanged = function(index) {
    $scope.slideIndex = index;
  };
  // discard and move to homepage
  $scope.discardIntroPage = function(){
		$state.go('app.scoreboard');
  }
}])
/* main controller function */
app.controller('MainCtrl', ['$scope', '$ionicSideMenuDelegate', '$ionicHistory', function($scope, $ionicSideMenuDelegate, $ionicHistory) {
  // Toggle left function for app sidebar
  	$scope.toggleLeft = function() {
  		$ionicSideMenuDelegate.toggleLeft();
  	};
  	// go back to previous page
  	$scope.goBackOne = function(){
		$ionicHistory.goBack();
	}
	
	// sharing plugin
	/*$scope.shareMain = function(){
		var title = "Download Smove For Android";
		var url = "https://play.google.com/store/apps/details?id=com.myspecialgames.swipe";
		window.plugins.socialsharing.share(title, null, null, url)
	}*/
	$scope.shareArticle = function(title,url){
		window.plugins.socialsharing.share(title, null, null, url)
	}
	$scope.openLinkArticle = function(url){
		window.open(url, '_blank', 'location=yes,closebuttoncaption=Regresar');
	}
	$scope.openVideoLink = function(url){
		//var time = Math.floor(Date.now()/1000);
        //var signature = CryptoJS.AES.encrypt(JSON.stringify(device.uuid+"-"+time), "ligadelpac2015", {format: CryptoJSAesJson}).toString();
		var device=[];
		var link = url;
		window.open(link, '_blank', 'location=yes,closebuttoncaption=Regresar');
	}
}])
// login page of app //
app.controller('LoginCtrl', ['$state','$scope', function($state, $scope) {	
	// add your login logic here
	$scope.doLogin = function(){
		$state.go('app.features');
	}
}])
// Sign up page of app //
app.controller('SignUpCtrl', ['$state','$scope', function($state, $scope) {	
	// sign up logic here
	$scope.doRegister = function(){
		$state.go('app.features');
	}
}])
// Forgot password page of app //
app.controller('ForgotCtrl', ['$scope', function($scope) {	
	// forgot password
}])
// Forgot password page of app //
app.controller('GalleryCtrl', ['$scope', 'Photos', '$ionicModal', function($scope, Photos, $ionicModal) {
	
	$scope.items = [];
	$scope.times = 0 ;
	$scope.postsCompleted = false;
	// load more content function
	$scope.getPosts = function(){
		Photos.getPosts()
		.success(function (posts) {
			$scope.items = $scope.items.concat(posts);
			$scope.$broadcast('scroll.infiniteScrollComplete');
			$scope.times = $scope.times + 1;
			if($scope.times >= 4) {
				$scope.postsCompleted = true;
			}
		})
		.error(function (error) {
			$scope.items = [];
		});
	}
	// pull to refresh buttons
	$scope.doRefresh = function(){
		$scope.times = 0 ;
		$scope.items = [];
		$scope.postsCompleted = false;
		$scope.getPosts();
		$scope.$broadcast('scroll.refreshComplete');
	}
	// modal to show image full screen
   $ionicModal.fromTemplateUrl('templates/image-modal.html', {
      scope: $scope,
      animation: 'slide-in-up'
   }).then(function (modal) {
      $scope.modal = modal;
   });
   $scope.openModal = function () {
		$scope.showNav = true;
      $scope.modal.show();
   };

   $scope.closeModal = function () {
      $scope.modal.hide();
   };
	// show image in popup
   $scope.showImage = function (index) {
		$scope.imageIndex = index;
      $scope.imageSrc = $scope.items[index].image_full;
      $scope.openModal();
   }
	// image navigation // swiping and buttons will also work here
	$scope.imageNavigate = function(dir){
		if(dir == 'right'){
			$scope.imageIndex = $scope.imageIndex + 1;
		} else {
			$scope.imageIndex = $scope.imageIndex - 1;
		}
		//alert(dir);
		if($scope.items[$scope.imageIndex] === undefined){
			$scope.closeModal();
		} else {
			$scope.imageSrc = $scope.items[$scope.imageIndex].image_full;
		}
	}
	// cleaning modal
	$scope.$on('$stateChangeStart', function(){
	  $scope.modal.remove();
	});
}])
/*  Videos controller  */
app.controller('VideosCtrl', ['$scope', 'VideoData', '$sce', function($scope, VideoData, $sce) {	
	$scope.items = VideoData.items;
	// to work embed in angularjs pages
	$scope.videoEmbed = function(video){
		return $sce.trustAsResourceUrl(video);
	}
}])

/*  VideosYoutube controller  */
app.controller('VideosYoutubeCtrl', ['$scope', 'VideosYoutubeData', '$sce', function($scope, VideosYoutubeData, $sce) {
	$scope.getVideos=function(){
		VideosYoutubeData.getVideosYoutube()
			.success(function (videosYoutube) {
				angular.forEach(videosYoutube, function(value, key) {
					$scope.videos = value;
				});
		});

	};
	$scope.getVideos();

	$scope.getIframeSrc = function (videoId) {
      return $sce.trustAsResourceUrl('https://www.youtube.com/embed/'+videoId+"?rel=0");
    };
}])
/* Blog controller */
app.controller('BlogCtrl', ['$scope', 'Blog', function($scope, Blog) {	

	$scope.items = [];
	$scope.times = 0 ;
	$scope.postsCompleted = false;
	// load more content function
	$scope.getPosts = function(){
		Blog.getPosts()
		.success(function (posts) {
			$scope.items = $scope.items.concat(posts);
			$scope.$broadcast('scroll.infiniteScrollComplete');
			$scope.times = $scope.times + 1;
			if($scope.times >= 4) {
				$scope.postsCompleted = true;
			}
		})
		.error(function (error) {
			$scope.items = [];
		});
	}
	// pull to refresh buttons
	$scope.doRefresh = function(){
		$scope.times = 0 ;
		$scope.items = [];
		$scope.postsCompleted = false;
		$scope.getPosts();
		$scope.$broadcast('scroll.refreshComplete');
	}

}])
/*  Profile page template */
app.controller('ProfileCtrl', ['$scope', function($scope) {
	// just demo profile page
}])
/* Blog controller */
app.controller('NewsCtrl', ['$rootScope','$scope', 'News','$ionicLoading', function($rootScope,$scope, News,$ionicLoading) {
	$scope.standings = [];
	$scope.header = "";
	$scope.show = function() {
    $ionicLoading.show({
      template: 'Cargando...',
      duration:500
    })
  };
  $scope.hide = function(){
    $ionicLoading.hide();
    console.log("entro")
  };

	$scope.getNews=function(){
		$scope.show();
		News.getNews()
			.success(function (news) {
				$rootScope.News = news;
				if($scope.News[0].image!="%7B%7Bnew.image%7D%7D"){
					console.log("esta imagen no existe")
				}else{
				console.log($scope.News[0].image)	
				}
				
		});

	};
	$scope.getNews();
	$scope.doRefresh = function(){
		$scope.show();
		$rootScope.requestNewsData = true;
		$scope.items = [];
		$scope.getNews();
		$scope.$broadcast('scroll.refreshComplete');
	};
	$scope.scrollTop = function() {
	    $ionicScrollDelegate.scrollTop();
	};
}])


app.controller('TeamtransCtrl',['$rootScope','$scope','$state','TransactionsData','$ionicLoading', '$ionicScrollDelegate', function($rootScope,$scope,$state,TransactionsData,$ionicLoading,$ionicScrollDelegate) {
	$scope.transactions = [];
	$scope.postsCompleted = true;
	$scope.itemsPerPage = 12;
    $rootScope.transactionsCurrent = 0;
	$scope.show = function() {
    $ionicLoading.show({
      template: 'Cargando...',
      duration:1500
    });
  };
  $scope.hide = function(){
    $ionicLoading.hide();
    console.log("entro")
  };
	$scope.getTransactions = function(){
		$scope.show();
		TransactionsData.getTransactions()
		.success(function (transactions){
			$rootScope.TransactionsData=transactions;
		});
	};
	$scope.loadMore = function() {
		console.log($rootScope.transactionsCurrent);
		$scope.getTransactions();
		console.log("traer fresco "+$rootScope.requestTransactionsData);
		$scope.$broadcast('scroll.infiniteScrollComplete');
	};
	$scope.scrollTop = function() {
	    $ionicScrollDelegate.scrollTop();
	};
	$scope.getTransactions();
		$scope.doRefresh = function(){
		$scope.postsCompleted = false;
		$rootScope.requestTransactionsData = true;
		$scope.transactions = [];
		$scope.getTransactions();
		$scope.$broadcast('scroll.refreshComplete');
	};
		$scope.scrollTop = function() {
	    $ionicScrollDelegate.scrollTop();
	};
}])

app.controller('HighlightsCtrl', ['$rootScope','$scope', 'HighlightsData','$ionicLoading', '$ionicScrollDelegate', function($rootScope,$scope, HighlightsData,$ionicLoading,$ionicScrollDelegate) {
	$scope.highlights=[];
	$scope.show = function() {
    $ionicLoading.show({
      template: 'Cargando...',
      duration:1000
    });
  };
  $scope.hide = function(){
    $ionicLoading.hide();
    console.log("entro")
  };
	$scope.getHighlights=function(){
		$scope.show();
		HighlightsData.getHighlightsData()
		.success(function (highlights) {
			$rootScope.HighlightsData = highlights;
		});
	};
	$scope.getHighlights();
	$scope.getMediumThumb = function(obj){
    	return obj.replace("/thumb_", "/player_");
  	};

  	$scope.doRefresh = function(){
		$scope.show();
		$scope.highlights = [];
		$scope.getHighlights();
		$scope.$broadcast('scroll.refreshComplete');
	};
	$scope.scrollTop = function() {
	    $ionicScrollDelegate.scrollTop();
	};
}])
/* Friends controller */
app.controller('FriendsCtrl', ['$scope', 'Friends', function($scope, Friends) {	
	$scope.items = [];
	$scope.times = 0 ;
	$scope.postsCompleted = false;
	// load more content function
	$scope.getPosts = function(){
		Friends.getFriends()
		.success(function (posts) {

			$scope.items = $scope.items.concat(posts);
			$scope.$broadcast('scroll.infiniteScrollComplete');
			$scope.times = $scope.times + 1;
			if($scope.times >= 4) {
				$scope.postsCompleted = true;
			}
		})
		.error(function (error) {
			$scope.items = [];
		});
	};
	// pull to refresh buttons
	$scope.doRefresh = function(){
		$scope.times = 0 ;
		$scope.items = [];
		$scope.postsCompleted = false;
		$scope.getPosts();
		$scope.$broadcast('scroll.refreshComplete');
	};
}])
/*   Articles controller  */
app.controller('PostCtrl',['$rootScope','$scope','$sce','$stateParams','DataPost','$ionicLoading', '$ionicScrollDelegate', function($rootScope,$scope,$sce,$stateParams,DataPost,$ionicLoading,$ionicScrollDelegate) {
	
	 $scope.postid=$stateParams.postid;

	 $scope.show = function() {
    $ionicLoading.show({
      template: 'Cargando...',
      duration:1000
    });
  };
  $scope.hide = function(){
    $ionicLoading.hide();
    console.log("entro")
  };

	 $scope.getPosts=function(){
	 	$scope.show();
	 	DataPost.getDataPost($scope.postid)

	 	.success(function (posid){
	 		$scope.post=posid;
	 		$rootScope.mycontent = $sce.trustAsHtml($scope.post.content);
	 	});
	 };
	 
	$scope.getPosts();

	$scope.doRefresh = function(){
		$scope.show();
		$scope.post = [];
		$scope.getPost();
		$scope.$broadcast('scroll.refreshComplete');
	};
}])
/*  Settings Controller */
app.controller('SettingsCtrl',['$state','$scope','GameDayBoxData', function($state,$scope,GameDayBoxData) {

	var OneSignal = OneSignal || [];

	console.log("ONE SIGNAL TEST");

	OneSignal.push(["init", {
	  actionMessage: "este es una notificacion",
	  // Your other init settings
	}])

    var permanentStorage = window.localStorage;
  	var tempStorage = window.sessionStorage;  	
  	var notifications = {};

  	if (permanentStorage.notifications != undefined) {
  		notifications = JSON.parse(permanentStorage.notifications);
  	}else{  		
		deleteTags();		
  	}

  	$scope.localStorage = notifications;

   	$scope.updateNotifications = function() {   			  	
		permanentStorage.notifications = JSON.stringify($scope.localStorage);			
	  	window.plugins.OneSignal.sendTags($scope.localStorage);  		      	
   }

   $scope.desactivateNotifications = function() {
   		$scope.localStorage = {};
   		permanentStorage.notifications = JSON.stringify($scope.localStorage);
   		deleteTags();
   		console.log($scope.localStorage);
   }

   function deleteTags(){
   		window.plugins.OneSignal.sendTags({
   			'mxc_start' : false,
   			'mxc_score' : false,
   			'mxc_end' : false,
   			'her_start' : false,
   			'her_score' : false,
   			'her_end' : false,
   			'obr_start' : false,
   			'obr_score' : false,
   			'obr_end' : false,
   			'nav_start' : false,
   			'nav_score' : false,
   			'nav_end' : false,
   			'moc_start' : false,
   			'moc_score' : false,
   			'moc_end' : false,
   			'cul_start' : false,
   			'cul_score' : false,
   			'cul_end' : false,
   			'maz_start' : false,
   			'maz_score' : false,
   			'maz_end' : false,
   			'jal_start' : false,
   			'jal_score' : false,
   			'jal_end' : false
   		});
   		
   }

   function onesignal(){
   //OneSignal.push(function() {
          //  OneSignal.isPushNotificationsEnabled(function() {
              console.log("asasas")
              if(document.getElementById("name_aguilas")){
               console.log("a entrado name_aguilas")
                    document.getElementById("mxc_start").addEventListener('click', iniciojuego);
                    document.getElementById("mxc_start").style.display = '';
                    document.getElementById("mxc_score").addEventListener('click', marcador);
                    document.getElementById("mxc_score").style.display = '';
                    document.getElementById("mxc_end").addEventListener('click', marcadorfinal);
                    document.getElementById("mxc_end").style.display = '';
                  }	
                    
           // });
       // });
   }
   console.log("ENTRO");

  // Enable to debug issues.
  // window.plugins.OneSignal.setLogLevel({logLevel: 4, visualLevel: 4});
  

}])

app.controller('ScoreboardCtrl', ['$state','$scope', function($state, $scope) {	
	var d = new Date();
	var day = d.getDate();
	var month = d.getMonth()+1;
	var year = d.getFullYear();
	var days_month = daysInMonth(month,year);
	var master=[];
	var reloader;
	var now = new Date(); 
	var pacificTime = new Date(now.getUTCFullYear(), now.getUTCMonth(), now.getUTCDate(), now.getUTCHours()-7, now.getUTCMinutes(), now.getUTCSeconds());
	
	if(pacificTime.getHours()<12){
		var day = (pacificTime.getDate()-1);
		var month = (pacificTime.getMonth()+1);
		var year = pacificTime.getFullYear();
		if(day <= 0){
			month--;
			days_month = daysInMonth(month,year);
			day=days_month;
			if(month == 12 || month == 0 ){
				year--;
				month = 12;
			}
		}
		$scope.scorebaord_date = loadWidgets(day,month,year);
	} else {
		$scope.scorebaord_date = loadWidgets(pacificTime.getDate(),(pacificTime.getMonth()+1),pacificTime.getFullYear());
	}
	// pull to refresh buttons
	$scope.doScoreboardBack = function(){
		$(".widget-preloader").removeClass("fade-out");
		//quitamos el set interval
		clearInterval(reloader);
		day--;
		if(day <= 0){
			month--;
			days_month = daysInMonth(month,year);
			day=days_month;
			if(month == 12 || month == 0 ){
				year--;
				month = 12;
			}
		}
		//reload calendar
		$scope.scorebaord_date = loadWidgets(day,month,year);
	}
	$scope.doScoreboardNext = function(){
		$(".widget-preloader").removeClass("fade-out");
		//quitamos el set interval  
		clearInterval(reloader);   
		day++;
		if(day > days_month){
			month++;
			days_month = daysInMonth(month,year);
			day=1;
			if(month > 12){
				year++;
				month = 1;
			}
		}
		//reload calendar
		$scope.scorebaord_date = loadWidgets(day,month,year);
	}
}])

app.controller('TeamsCtrl',['$state','$scope', function($state,$scope) {
}])

app.controller('StandingCtrl',['$rootScope','$stateParams','$scope','StandingData','$ionicLoading', '$ionicScrollDelegate', function($rootScope,$stateParams,$scope,StandingData,$ionicLoading, $ionicScrollDelegate) {
	$scope.header="";
	$scope.standings = [];
	$scope.standingid = $stateParams.standingid;

	 $scope.show = function() {
    $ionicLoading.show({
      template: 'Cargando...',
      duration:1500
    });
  };
  $scope.hide = function(){
    $ionicLoading.hide();
    console.log("entro")
  };

	$scope.getStanding = function(){
		if($rootScope.requestStandingData==true){
			$scope.show();
		StandingData.getStandingData()
		.success(function (standings) {
			$rootScope.StandingData = standings;
			$rootScope.requestStandingData = false;
				if($stateParams.standingid=='first') {
					$scope.standings = $scope.standings.concat(standings.first);
					$scope.activeFirst = 'active';$scope.activeSecond = '';$scope.activeGeneral = '';
					$scope.header = standings.first[0].header;
				} else if($stateParams.standingid=='second'){
					$scope.standings = $scope.standings.concat(standings.second);
					$scope.activeFirst = '';$scope.activeSecond = 'active';$scope.activeGeneral = '';
					$scope.header = standings.first[1].header;
				} else if($stateParams.standingid=='general'){
					$scope.standings = $scope.standings.concat(standings.general);
					$scope.activeFirst = '';$scope.activeSecond = '';$scope.activeGeneral = 'active';
					$scope.header = standings.first[2].header;
				} else if($stateParams.standingid=='points'){
					$scope.standings = $scope.standings.concat(standings.points);
				};
			});
		}else {
			//agarramos los valores de aquí mismo
			console.log('standing añejo');
			if($stateParams.standingid=='first') {
				$scope.standings = $scope.standings.concat($rootScope.StandingData.first);
				$scope.activeFirst = 'active';$scope.activeSecond = '';$scope.activeGeneral = '';
				$scope.header = $rootScope.StandingData.first[0].header;
			} else if($stateParams.standingid=='second'){
				$scope.standings = $scope.standings.concat($rootScope.StandingData.second);
				$scope.activeFirst = '';$scope.activeSecond = 'active';$scope.activeGeneral = '';
				$scope.header = $rootScope.StandingData.second[0].header;
			} else if($stateParams.standingid=='general'){
				$scope.standings = $scope.standings.concat($rootScope.StandingData.general);
				$scope.activeFirst = '';$scope.activeSecond = '';$scope.activeGeneral = 'active';
				$scope.header = $rootScope.StandingData.general[0].header;
			} else if($stateParams.standingid=='points'){
				$scope.standings = $scope.standings.concat($rootScope.StandingData.points);
			};
		};
	};
	$scope.getStanding();

	$scope.doRefresh = function(){
		$rootScope.requestStandingData = true;
		$scope.standings = [];
		$scope.getStanding();
		$scope.$broadcast('scroll.refreshComplete');
	};
}])
app.controller('SistemaCompetenciaCtrl', ['$state','$scope', '$ionicScrollDelegate', function($state, $scope, $ionicScrollDelegate) {	
	// add your login logic here
	$scope.scrollTop = function() {
	    $ionicScrollDelegate.scrollTop();
	};
}])

app.controller('Gameday-hightCtrl',['$scope', '$stateParams','GamedayhightData', '$http', '$sce','$ionicLoading', '$ionicScrollDelegate', function($scope,$stateParams,GamedayhightData,$http,$sce,$ionicLoading,$ionicScrollDelegate) {
	$scope.gamedayhight = [];
	$scope.gameid = $stateParams.gameid;
		 $scope.show = function() {
	    $ionicLoading.show({
	      template: 'Cargando...',
	      duration:1500
	    });
	  };
	  $scope.hide = function(){
	    $ionicLoading.hide();
	    console.log("entro")
	  };

	    $scope.getHighlights = function(){
		$scope.show();
		GamedayhightData.getGamedayhightData($scope.gameid)
	    .success(function (response) {
	    	$scope.hide();
	    	$rootScope.gameday=response;
	    	response.sort(function(a, b){return a["ID"]-b["ID"]});
	    	$scope.response = $scope.gameday.concat($sce.trustAsHtml(gameday));
	    })
		.error(function (error) {
			$scope.response = [];
			$scope.hide();
		});
	};
	$scope.getHighlights();
	$scope.getHighlights = function(obj){
    	return obj.replace("/thumb_", "/player_");
  	};

  	$scope.doRefresh = function(){
  		$scope.show();
		$scope.response = [];
		$scope.getHighlights();
		$scope.$broadcast('scroll.refreshComplete');
	};
}])

app.controller('PlayoffsCtrl',['$scope','$rootScope','$state','$stateParams','PlayoffsData','$ionicLoading', function($scope,$rootScope,$state,$stateParams,PlayoffsData,$ionicLoading) {
	$scope.playoffs = [];
	$scope.playoffsid = $stateParams.playoffsid;
	  $scope.show = function() {
    $ionicLoading.show({
      template: 'Cargando...',
      duration:1500
    });
  };
  $scope.hide = function(){
    $ionicLoading.hide();
    console.log("entro")
  };
	$scope.getPlayoffs = function(){
		if($rootScope.requestPlayoffsData==true){
			$scope.show();
		PlayoffsData.getPlayoffsData()
		.success(function (playoffs) {
			$rootScope.PlayoffsData = playoffs;
			$rootScope.requestPlayoffsData = false;
			if($stateParams.playoffsid=='repesca') {
					$scope.playoffs = $scope.playoffs.concat(playoffs.repesca);
					$scope.activeRepesca = 'active';$scope.activeSemifinal = '';$scope.activeFinal = '';
				} else if($stateParams.playoffsid=='semifinal'){
					$scope.playoffs = $scope.playoffs.concat(playoffs.semifinal);
					$scope.activeRepesca = '';$scope.activeSemifinal = 'active';$scope.activeFinal = '';
				} else if($stateParams.playoffsid=='final'){
					$scope.playoffs = $scope.playoffs.concat(playoffs.final);
					$scope.activeRepesca = '';$scope.activeSemifinal = '';$scope.activeFinal = 'active';
						}
				});
			}else {
			//agarramos los valores de aquí mismo
			if($stateParams.playoffsid=='repesca') {
				$scope.playoffs = $scope.playoffs.concat($rootScope.PlayoffsData.repesca);
				$scope.activeRepesca = 'active';$scope.activeSemifinal = '';$scope.activeFinal = '';
			} else if($stateParams.playoffsid=='semifinal'){
				$scope.playoffs = $scope.playoffs.concat($rootScope.PlayoffsData.semifinal);
				$scope.activeRepesca = '';$scope.activeSemifinal = 'active';$scope.activeFinal = '';
			} else if($stateParams.playoffsid=='final'){
				$scope.playoffs = $scope.playoffs.concat($rootScope.PlayoffsData.final);
				$scope.activeRepesca = '';$scope.activeSemifinal = '';$scope.activeFinal = 'active';
			};
		};
	};
	$scope.getPlayoffs();

	$scope.doRefresh = function(){
		$rootScope.requestPlayoffsData = true;
		$scope.playoffs = [];
		$scope.getPlayoffs();
		$scope.$broadcast('scroll.refreshComplete');
	};
}])


app.controller('CalendarCtrl',['$rootScope','$stateParams','$sce','$state','$scope','$http','CalendarData','$ionicLoading', '$ionicScrollDelegate', function($rootScope,$stateParams,$sce,$state,$scope,$http,CalendarData,$ionicLoading, $ionicScrollDelegate) {

	var d = new Date()
	var day = d.getDate();
	var month = d.getMonth()+1;
	var year = d.getFullYear();
	var days_month = daysInMonth(month,year);
	$scope.calendar=[];
	/*$scope.show = function() {
    $ionicLoading.show({
      template: 'Cargando...',
      duration:1500
    })
  };
  $scope.hide = function(){
    $ionicLoading.hide();
    console.log("entro")
  };*/
	$scope.logoid=$stateParams.logoid;
	fecha= {day: "numeric", month: "long",year: "numeric", weekday: "long"};
	var dateMX = d.toLocaleString("es-MX",fecha);
	var dateString = dateMX.toLocaleString()
	function loadCalendar(){
		//$scope.show();
		CalendarData.getCalendarData(day,month,year,days_month)
	    	.success(function (calendar) {				
	    		$scope.calendar = calendar;
	    		angular.forEach(calendar, function(value, key){
	    			$scope.gamesByDay=value;
    			})
	    	})
	}
	loadCalendar();
	// pull to refresh buttons
	$scope.doCalendarBack = function(){
		day--;
		if(day <= 0){
			month--;
			days_month = daysInMonth(month,year);
			day=days_month;
			if(month == 12 || month == 0 ){
				year--;
				month = 12;				
			}
		}
		loadCalendar();
	}
	$scope.doCalendarNext = function(){
		day++;
		if(day > days_month){
			month++;
			days_month = daysInMonth(month,year);
			day=1;
			if(month > 12){
				year++;
				month = 1;
			}
		}
		//reload calendar
		loadCalendar();
	}
}])



app.controller('statsBattingCtrl',['$rootScope','$scope','BattingData','$ionicLoading', '$ionicScrollDelegate', function($rootScope,$scope,BattingData,$ionicLoading, $ionicScrollDelegate) {
$scope.batting = [];
$scope.show = function() {
    $ionicLoading.show({
      template: 'Cargando...',
      duration:1500
    });
  };
  $scope.hide = function(){
    $ionicLoading.hide();
    console.log("entro")
  };
	$scope.getStatsbat = function() {
			$scope.show();
		BattingData.getBattingData()
		.success(function (batting) {
			$rootScope.battingAVG = [];
			$rootScope.battingR = [];
			$rootScope.battingHR = [];
			$rootScope.battingRBI = [];
			$rootScope.battingSB = [];
			batting.sort(function(a, b){return b['avg']-a['avg']});
	          var count=0;var totalAB=0;
	          $.each( batting, function( i, player ) {
	            totalAB = parseFloat(player['ab'])+parseFloat(player['bb'])+parseFloat(player['ibb'])+parseFloat(player['sf'])+parseFloat(player['sac'])+parseFloat(player['hbp']);
	            if((parseFloat(player['teamGames'])*3.1)<=totalAB ){ 
	            	if(count<10){
	            		$rootScope.battingAVG.push({"long_name":player['long_name'],"team":player['team'],"val":player['avg'],"image":player['image']});
			          	count++;
	            	};
	            };
	          })
	          //R
	          batting.sort(function(a, b){return b['r']-a['r']});
	          $.each( batting, function( i, player ) { 
	            if(i<10){
	            	$rootScope.battingR.push({"long_name":player['long_name'],"team":player['team'],"val":player['r']});
	        	};
	          });
	          //HR
	          batting.sort(function(a, b){return b['hr']-a['hr']});
	          $.each( batting, function( i, player ) { 
	            if(i<10){
	            	$rootScope.battingHR.push({"long_name":player['long_name'],"team":player['team'],"val":player['hr']});
	            };
	          });
	          //RBI
	          batting.sort(function(a, b){return b['rbi']-a['rbi']});
	          $.each( batting, function( i, player ) { 
	            if(i<10){
	            	$rootScope.battingRBI.push({"long_name":player['long_name'],"team":player['team'],"val":player['rbi']});
	            };
	          });
	          //SB
	          batting.sort(function(a, b){return b['sb']-a['sb']});
	          $.each( batting, function( i, player ) { 
	            if(i<10){
	            	$rootScope.battingSB.push({"long_name":player['long_name'],"team":player['team'],"val":player['sb']});
	            };
	          });
		});
	};
	$scope.getStatsbat();
}])

app.controller('StatsPitchingCtrl',['$scope','$rootScope','PitchingData','$ionicLoading', '$ionicScrollDelegate', function($scope,$rootScope,PitchingData,$ionicLoading, $ionicScrollDelegate) {
	$scope.players = [],

	$scope.show = function() {
    $ionicLoading.show({
      template: 'Cargando...',
      duration:1500
    });
  };
  $scope.hide = function(){
    $ionicLoading.hide();
    console.log("entro")
  };
	
	$scope.getStats = function() {
		PitchingData.getPitchingData()
		.success(function (players) {
			$scope.show();
			$rootScope.pitchingW = [];
			$rootScope.pitchingERA = [];
			$rootScope.pitchingSO = [];
			$rootScope.pitchingSV = [];
			$rootScope.pitchingWHIP = [];

			//W
            players.sort(function(a, b){return b['w']-a['w']});
            $.each( players, function( i, player ) {
            	if(i<10){$rootScope.pitchingW.push({"long_name":player['long_name'],"team":player['team'],"val":player['w']})}
            });
            //ERA
            players.sort(function(a, b){return a['era']-b['era']});count=0;
            $.each(players, function( i, player ) {
	            if(parseFloat(player['tg'])<=parseFloat(player['ip'])){
	            	if(count<10){
            			$rootScope.pitchingERA.push({"long_name":player['long_name'],"team":player['team'],"val":player['era']});
            			count++;
            		};
		        };
	        });
            //SO
            players.sort(function(a, b){return b['so']-a['so']});
            $.each( players, function( i, player ) { 
              if(i<10){$rootScope.pitchingSO.push({"long_name":player['long_name'],"team":player['team'],"val":player['so']})}
            });
            //SV
            players.sort(function(a, b){return b['sv']-a['sv']});
            $.each( players, function( i, player ) { 
              if(i<10){
                $rootScope.pitchingSV.push({"long_name":player['long_name'],"team":player['team'],"val":player['sv']});
              };
            });
            //WHIP
            players.sort(function(a, b){return a['whip']-b['whip']});count=0;
            $.each( players, function( i, player ) {  
              if(parseFloat(player['tg'])<=(player['ip']) ){
              	if(count<10){
                	$rootScope.pitchingWHIP.push({"long_name":player['long_name'],"team":player['team'],"val":player['whip']});
                	count++
                };
              };
            });
			$scope.hide();
		});
	};
	$scope.getStats();
}])



app.controller('Gameday-boxCtrl',['$scope', '$stateParams','GameDayBoxData', '$http', '$sce','$ionicLoading', '$ionicScrollDelegate', function($scope,$stateParams,GameDayBoxData,$http,$sce,$ionicLoading,$ionicScrollDelegate) {
$scope.boxid=$stateParams.boxid;
console.log("Id del juego: " + $scope.boxid);
$scope.box=[];
	 $scope.show = function() {
    $ionicLoading.show({
      template: 'Cargando...',
      duration:1000
    });
  };
  $scope.hide = function(){
    $ionicLoading.hide();
    console.log("entro")
  };
$scope.getbox=function(){
	$scope.show();
	GameDayBoxData.getGameBoxDay($scope.boxid)
	.success(function (gamedaybox){
		$scope.gameb=gamedaybox;
		$scope.box.push(gamedaybox);
	    	$scope.away_comments = $sce.trustAsHtml(gamedaybox.batting.away_note.comments);
	    	$scope.away_summary = $sce.trustAsHtml(gamedaybox.batting.away_note.summary);
	    	$scope.home_comments = $sce.trustAsHtml(gamedaybox.batting.home_note.comments);
	    	$scope.home_summary = $sce.trustAsHtml(gamedaybox.batting.home_note.summary);
	    	$scope.game_summary = $sce.trustAsHtml(gamedaybox.gameInfo);

	});
};
$scope.getbox();

	$scope.doRefresh = function(){
		$scope.show();
		$scope.box = [];
		$scope.getBox();
		$scope.$broadcast('scroll.refreshComplete');
	};
}])

app.controller('Gameday-playsCtrl',['$scope', '$stateParams','GameDayplayData', '$http','$sce','$ionicLoading', '$ionicScrollDelegate', function($scope,$stateParams,GameDayplayData,$http,$sce,$ionicLoading,$ionicScrollDelegate) {
$scope.gameid=$stateParams.gameid;
console.log("Id del juego: "+$scope.gameid);
$scope.play=[];
$scope.postsCompleted = true;
	$scope.data = {};
	$scope.itemsPerPage = 1;
	$scope.newData = true;
    $scope.current = 0;
	 $scope.show = function() {
    $ionicLoading.show({
      template: 'Cargando...',
      duration:1000
    });
  };
  $scope.hide = function(){
    $ionicLoading.hide();
    console.log("entro")
  };

$scope.getPlay=function(){

	if($scope.newData==true){
	$scope.show();
	GameDayplayData.getGameplayDay($scope.gameid)
	.success(function (gamedayplay){
		$scope.gamep=gamedayplay;
		$scope.play=gamedayplay;
		    	gamedayplay.sort(function(a, b){return b["inningCurrent"]-a["inningCurrent"]});
		    	$scope.current++;
		    	$scope.data = gamedayplay;
		    	$scope.hide();
		    	$scope.play = $scope.play.concat($sce.trustAsHtml($scope.plays));
		    	
	});
	};/*else{
		$scope.play = $scope.play.concat($scope.data[$scope.current]);
			    	$scope.current++;
			    	if($scope.current==$scope.data.length){
					$scope.postsCompleted = true;
				}*/
		};	$scope.getPlay();

$scope.doRefresh = function(){
		$scope.show();
		$scope.data = {};
    	$scope.current = 0;
		$scope.postsCompleted = true;
		$scope.newData = true;

		$scope.play = [];
		$scope.getPlays();
		$scope.$broadcast('scroll.refreshComplete');
	};
}])

app.controller('statsListCtrl', ['$scope', '$rootScope','$stateParams', '$http','$ionicLoading', '$ionicScrollDelegate', function($scope, $rootScope, $stateParams, $http,$ionicLoading, $ionicScrollDelegate) {	
	$scope.leaders = [];
	$scope.statid = $stateParams.statid.toUpperCase();
	$scope.show = function() {
		$ionicLoading.show({
		  template: 'Cargando...'
		});
	};
	$scope.hide = function(){
		$ionicLoading.hide();
	};
	if($stateParams.statid=='avg'){
		$scope.leaders = $rootScope.battingAVG
	} else if($stateParams.statid=='r'){
		$scope.leaders = $rootScope.battingR;
	} else if($stateParams.statid=='hr'){
		$scope.leaders = $rootScope.battingHR;
	} else if($stateParams.statid=='rbi'){
		$scope.leaders = $rootScope.battingRBI;
	} else if($stateParams.statid=='sb'){
		$scope.leaders = $rootScope.battingSB;
	} else if($stateParams.statid=='w'){
		$scope.leaders = $rootScope.pitchingW;
	} else if($stateParams.statid=='era'){
		$scope.leaders = $rootScope.pitchingERA;
	} else if($stateParams.statid=='so'){
		$scope.leaders = $rootScope.pitchingSO;
	} else if($stateParams.statid=='sv'){
		$scope.leaders = $rootScope.pitchingSV;
	} else if($stateParams.statid=='whip'){
		$scope.leaders = $rootScope.pitchingWHIP;
	}
}])

app.controller('TeamInfoCtrl', ['$rootScope','$scope', '$stateParams','TeamsData', function($rootScope, $scope, $stateParams,TeamsData) {	
	// add your login logic here
	// load more content function
	$rootScope.teamid = $stateParams.teamid;
	
	TeamsData.getTeamsData()
	.success(function (teams) {
		$rootScope.teamInfo = teams;
		//con esto saco un nodo
	})
	if($scope.teamid=="mxc"){
		return $scope.teamidimg="Aguilas "
	}else if($scope.teamid=="obr"){
		return $scope.teamidimg="Yaquis "
	}else if($scope.teamid=="her"){
		return $scope.teamidimg="Naranjeros"
	}else if($scope.teamid=="nav"){
		return $scope.teamidimg="Mayos "
	}else if($scope.teamid=="moc"){
		return $scope.teamidimg="Caneros"
	}else if($scope.teamid=="cul"){
		return $scope.teamidimg="Tomateros "
	}else if($scope.teamid=="maz"){
		return $scope.teamidimg="Venados "
	}else if($scope.teamid=="jal"){
		return $scope.teamidimg="Charros "
	};
}])

app.controller('TeamNewsCtrl', ['$rootScope', '$state', '$scope', '$stateParams', 'TeamNewsData','$ionicLoading', '$ionicScrollDelegate', function($rootScope, $state, $scope, $stateParams, TeamNewsData,$ionicLoading,$ionicScrollDelegate) {	
	// add your login logic here
	$scope.teamNews=[];
	$scope.teamid= $stateParams.teamid;
	$scope.show = function() {
    $ionicLoading.show({
      template: 'Cargando...',
      duration:1500
    });
  };
  $scope.hide = function(){
    $ionicLoading.hide();
    console.log("entro")
  };
	$scope.getNewsData=function(){	
		if($rootScope.requestTeamNewsData==true){
				$scope.show();
		TeamNewsData.getNewsData()
		.success(function (teamNews){
			$rootScope.teamNewsData = teamNews;
			/*$scope.teamNews = $scope.teamNews.concat($rootScope.teamNewsData[$stateParams.teamid]);*/
			$scope.teamNews = $scope.teamNews.concat($rootScope.teamNewsData[$stateParams.teamid]);
			})
		}else {
			//agarramos los valores de aquí mismo
			$scope.teamNews = $scope.teamNews.concat($rootScope.teamNewsData[$stateParams.teamid]);
		};
	};
	$scope.getNewsData();
		$scope.doRefresh = function(){
		$rootScope.requestTeamNewsData = true;
		$scope.teamNews = [];
		$scope.getNewsData();
		$scope.$broadcast('scroll.refreshComplete');
	};
}])

app.controller('TeamrosterCtrl',['$rootScope','$state','$scope', 'RostersData', '$stateParams','$parse','$ionicLoading', '$ionicScrollDelegate', function($rootScope,$state, $scope, RostersData, $stateParams,$parse,$ionicLoading,$ionicScrollDelegate) {	
	$scope.pitchers = [];
	$scope.catchers = [];
	$scope.infielders = [];
	$scope.outfielders = [];
	$scope.roster=[];
	$scope.teamid=$stateParams.teamid;
	$scope.show = function() {
    $ionicLoading.show({
      template: 'Cargando...',
      duration:1500
    });
  };
  $scope.hide = function(){
    $ionicLoading.hide();
    console.log("entro")
  };
	
	// add your login logic here
	$scope.getRostersData = function(){
		$scope.show();
		RostersData.getRostersData($stateParams.teamid)
			.success(function (roster){
				$rootScope.RostersData= roster;
				angular.forEach($rootScope.RostersData, function(value, key){								      
			      if (value.position == "Pitcher") {
			      	$scope.pitchers.push(value);
			      }else if(value.position == "Catcher") {
			      	$scope.catchers.push(value);
			      }else if(value.position == "Outfield") {
			      	$scope.outfielders.push(value);
			      }else if(value.position == "Infield") {
			      	$scope.infielders.push(value);
			      }
			   	});				
			});		
	};
	
	$scope.getRostersData();
		$scope.doRefresh = function(){
		$scope.pitchers = [];
		$scope.catchers = [];
		$scope.infielders = [];
		$scope.outfielders = [];
		$scope.getRosters();
		$scope.$broadcast('scroll.refreshComplete');
	};
}])


/*  Settings Controller */
app.controller('SocialProfileCtrl',['$scope','SocialData', function($scope,SocialData) {
	$scope.socials = SocialData.items;
}])
/* Features Controller */
app.controller('FeaturesCtrl', ['$scope', 'Features', function($scope, Features) {
	$scope.items = Features.items;
}])

app.controller('DirectorioCtrl', ['$rootScope','$scope', 'Features', 'DirectorioData', '$stateParams', function($rootScope, $scope, Features, DirectorioData, $stateParams) {
	$scope.idDir = $stateParams.dirid;	
	DirectorioData.getDirectorioData($scope.idDir)
		.success(function (directorio){
			$rootScope.Directorio= directorio;
		});
	if($scope.teamid=="mxc"){
		return $scope.teamidimg="Aguilas "
	}else if($scope.teamid=="obr"){
		return $scope.teamidimg="Yaquis "
	}else if($scope.teamid=="her"){
		return $scope.teamidimg="Naranjeros"
	}else if($scope.teamid=="nav"){
		return $scope.teamidimg="Mayos "
	}else if($scope.teamid=="moc"){
		return $scope.teamidimg="Caneros"
	}else if($scope.teamid=="cul"){
		return $scope.teamidimg="Tomateros "
	}else if($scope.teamid=="maz"){
		return $scope.teamidimg="Venados "
	}else if($scope.teamid=="jal"){
		return $scope.teamidimg="Charros "
	};
}])
/* About us Controller */
app.controller('AboutCtrl', ['$scope', function($scope) {
}])
/* Contact us form page */
app.controller('ContactCtrl', ['$scope', 'ConfigContact', function($scope, ConfigContact) {
	//setting heading here
	$scope.user = [];
	// contact form submit event
	$scope.submitForm = function(isValid) {
		if (isValid) {
			cordova.plugins.email.isAvailable(
				function (isAvailable) {
					window.plugin.email.open({
						to:      [ConfigContact.EmailId],
						subject: ConfigContact.ContactSubject,
						body:    '<h1>'+$scope.user.email+'</h1><br><h2>'+$scope.user.name+'</h2><br><p>'+$scope.user.details+'</p>',
						isHtml:  true
					});
				});
		};
	};
}])
// push controller
app.controller('PushCtrl', ['$scope', 'SendPush', function($scope, SendPush){
	$scope.device_token = $scope.get_device_token();
	$scope.sendNotification = function(){
		SendPush.android($scope.device_token)
		.success(function () {
		})
		.error(function (error) {
		});
	};
}])
// show ad mob here in this page
app.controller('AdmobCtrl', ['$scope', 'ConfigAdmob', function($scope, ConfigAdmob){
	$scope.showInterstitial = function(){
		if(AdMob) AdMob.showInterstitial();
	};
	document.addEventListener("deviceready", function(){
		if(AdMob) {
			// show admob banner
			if(ConfigAdmob.banner) {
				AdMob.createBanner( {
					adId: ConfigAdmob.banner, 
					position: AdMob.AD_POSITION.BOTTOM_CENTER, 
					autoShow: true 
				} );
			};
			// preparing admob interstitial ad
			if(ConfigAdmob.interstitial) {
				AdMob.prepareInterstitial( {
					adId:ConfigAdmob.interstitial, 
					autoShow:false
				});
			};
		};
		if(ConfigAdmob.interstitial) {
			$scope.showInterstitial();
		};
	});
}])
// new items v2.0
// messages list
app.controller('MessagesCtrl', ['$scope', 'Messages', function($scope, Messages){
	$scope.items = [];
	$scope.postsCompleted = false;
	// load more content function
	$scope.getPosts = function(){
		Messages.getMesages()
		.success(function (posts) {
			$scope.items = $scope.items.concat(posts);
			$scope.$broadcast('scroll.infiniteScrollComplete');
			$scope.postsCompleted = true;
		})
		.error(function (error) {
			$scope.items = [];
		});
	};
	// pull to refresh buttons
	$scope.doRefresh = function(){
		$scope.items = [];
		$scope.postsCompleted = false;
		$scope.getPosts();
		$scope.$broadcast('scroll.refreshComplete');
	};
}])
// single message
app.controller('MessageCtrl', ['$scope', 'Messages', '$ionicScrollDelegate', function($scope, Messages, $ionicScrollDelegate ){
	$scope.messages = [];
	$scope.postsCompleted = false;
	// load more content function
	$scope.getPosts = function(){
		Messages.getMessage()
		.success(function (posts) {
			$scope.messages = $scope.messages.concat(posts);
			//console.log($scope.messages);
			$scope.$broadcast('scroll.infiniteScrollComplete');
			$ionicScrollDelegate.scrollBottom();
			$scope.postsCompleted = true;
		})
		.error(function (error) {
			$scope.items = [];
		});
	};
	// pull to refresh buttons
	$scope.doRefresh = function(){
		$scope.messages = [];
		$scope.postsCompleted = false;
		$scope.getPosts();
		$scope.$broadcast('scroll.refreshComplete');
	};
	$scope.addMesage = function(){
		var newMessage = new function() {
			this.message = $scope.datamessage;
			this.from = '2';
			this._id	= '12';
			this.title	= 'sample';
			this.image	= 'http://3.bp.blogspot.com/-bTWNRjookMQ/VYGjnv5nKtI/AAAAAAAAA08/wXshQ9sNDeU/s100-c/blank-792125_1280.jpg';
		};
		$scope.messages = $scope.messages.concat(newMessage);
		$scope.datamessage = "";
		$ionicScrollDelegate.scrollBottom();
    };
}])
// feed list data sample
app.controller('FeedsListCtrl', ['$scope', '$state', 'Feeds', function($scope, $state, Feeds ){
	$scope.feeds = Feeds.items;
	$scope.showNews = function(index){
		Feeds.selectedFeed = $scope.feeds[index];
		$state.go('app.feed');
	};
}])
// single feed posts
app.controller('FeedCtrl', ['$scope', '$state', 'Feeds', function($scope, $state, Feeds ){
	
	$scope.numPosts = 20;
	$scope.stories = [];
	$scope.feed = Feeds.selectedFeed;
	$scope.showNews = function(index){
		Feeds.selectedFeed = $scope.feeds[index];
	};
	$scope.loadFeed = function() {
      var feed = new google.feeds.Feed(Feeds.selectedFeed.feed);
      feed.setNumEntries($scope.numPosts);
      var count = 1;
      feed.load(function(result) {
        if (!result.error) {
          $scope.feed = result.feed;
			 $scope.$apply();
        };
      });
    };
    $scope.loadFeed();
	 $scope.getImage = function(index) {
		var selectedItem = $scope.feed.entries[index];
		var content = selectedItem.content;
		var imgthumb = "";
		a = content.indexOf("<img"); 
		b = content.indexOf("src=\"",a); 
		c = content.indexOf("\"",b+5); 
		d = content.substr(b+5,c-b-5);
		if((a!=-1)&&(b!=-1)&&(c!=-1)&&(d!="")) {
			imgthumb = d;
		};
		if(imgthumb) {
			return imgthumb;
		} else {
			return 'img/photo.png';
		};
    };
	 $scope.showFullFeed = function(indexFeed){
	 	Feeds.selectedNews = $scope.feed.entries[indexFeed];
		$state.go('app.feedsingle');
	 };
}])
app.controller('FeedSingleCtrl', ['$scope', '$state', 'Feeds', '$sce', function($scope, $state, Feeds, $sce ){
	$scope.feedContent = Feeds.selectedNews;
	$scope.content = $sce.trustAsHtml($scope.feedContent.content);
	
}]);